<!DOCTYPE html>
<html>
<head>
	<title>Slot In Vue Js</title>
</head>
<body>
	<div id="app">
		<menu-component>
			<h3>Menu Top</h3>
			<div slot="attach">
				<h4>New Post</h4>
				<ul>
					<li v-for="post in posts">{{ post.name }}</li>
				</ul>
			</div>
		</menu-component>

		<h3>Menu Right</h3>
		<menu-component>
			<div slot="attach">
				<h4>New Post</h4>
				<ul>
					<li v-for="post in posts">{{ post.name }}</li>
				</ul>

				<h4>Promotion</h4>
				<ul>
					<li v-for="media in medias">{{ media.name }}</li>
				</ul>
			</div>
		</menu-component>
	</div>

	<script src="https://cdn.jsdelivr.net/npm/vue"></script>
	<script>
		Vue.component('menu-component', {
    		props: {
    			// posts: {
    			// 	type: Array,
    			// 	default: () => {
    			// 		return []
    			// 	},
    			// },
    			// medias: {
    			// 	type: Array,
    			// 	default: () => {
    			// 		return []
    			// 	},
    			// }
    		},
    		data() {
    			return {
    				menus: [
    					{name: 'Menu item 1'},
    					{name: 'Menu item 2'},
    					{name: 'Menu item 3'},
    					{name: 'Menu item 4'},
    					{name: 'Menu item 5'}
    				]
    			}
    		},
    		template: `
    			<div>
	    			<ul>
	    				<li v-for="menu in menus">{{ menu.name }}</li>
	    			</ul>
	    			<slot name='attach'></slot>
	    		<div>`
    	});

		new Vue({
			el: '#app',
			data: {
				posts: [
					{name: 'Post one'},
					{name: 'Post two'},
					{name: 'Post three'},
				],
				medias: [
					{name: 'Media one'},
					{name: 'Media two'},
					{name: 'Media three'},
				]
			}
		})
	</script>
</body>
</html>